Pregunta sobre Slanted de Wordpress:

Advertencia: use la constante REQUEST_URI no especificada: se acepta «REQUEST_URI»

Un usuario preguntó 👇

Hola, solo quería informarle que recibí un mensaje de error para el tema inclinado con la depuración habilitada. Solucioné el problema yo mismo editando una línea en functions.php y ya no me muestra el mensaje de error. El error fue:

Advertencia: Use REQUEST_URI constante no especificado – ‘REQUEST_URI’ (esto debe ser un error en una futura versión de PHP) se acepta en /var/www/web33/web/wp-content/themes/slanted-master/functions.php en línea 73

Entonces, la línea 73 en functions.php cambié la línea mencionada en el mensaje de error a:

$path = $_SERVER['HTTP_HOST'] . $_SERVER['REQUEST_URI'];

Saludos, Andre

Autor del tema

(@alxmedia)

Hace 2 años, 1 mes

Hola,

¡Gracias por informarnos!

¿Dónde descargaste el tema? Solo hay un código add_image_size estándar en la línea 73 para mí en funciones .php que no deberían ser ningún problema.

¿Fue algún código personalizado que agregaste?

(@ustoopia)

Hace 2 años, 1 mes

No había ningún código personalizado. Lo descargué a través de las páginas de WP-admin. Debo mencionar que estoy en un entorno multilingüe. También debo mencionar que me he encontrado con más temas que me dan el mismo error, por lo que probablemente no sea su código sino algo al final lo que está creando esto.

Para mí, la línea 73 tenía el siguiente cable: $ _SERVER[REQUEST_URI] (por lo que sin las ‘marcas alrededor de REQUEST_URI).

Agregué «y ahora muestra: $ _SERVER[‘REQUEST_URI’]

Eso eliminó el mensaje de error, así que estoy bien. Esto puede ser un poco ingenuo para mí, pero estoy bastante seguro de que ningún otro problema provocará este cambio. ¿Qué piensas?

Autor del tema

(@alxmedia)

Hace 2 años, 1 mes

¡Ah! Hm, es como algo de tu parte, por así decirlo.

Si ese arreglo funcionó para usted sin preguntas, entonces diría que lo acepta ahora, y si lo ejecuta con ediciones futuras, sabe lo que ha editado y puede cambiarlo fácilmente.

(@ustoopia)

Hace 2 años, 1 mes

Gracias. Y siento publicar esta pregunta aquí antes de probarme más

Gran trabajo en el tema inclinado por cierto. ¡Me encanta! Acerca de,

Autor del tema

(@alxmedia)

Hace 2 años, 1 mes

¡No te preocupes, feliz de escuchar! 🙂

(@martinhubenov)

Hace 1 año, 9 meses

¡Hola!

Tengo el mismo problema. Advertencia: Use la constante no especificada REQUEST_URI – asume ‘REQUEST_URI’ (esto debe ser un error en futuras versiones de PHP) en / homepages / 15 / d765853453 / htdocs / clickandbuilds / JaspalSample / wp-content / themes / twentynineteen / functions. online 73 He comprobado el archivo completo (functions.php), pero no existe – REQUEST_URI y no tengo idea de cómo solucionarlo. ¿Tiene alguna sugerencia sobre cómo solucionarlo? Gracias

Saludos, Martin

(@salmankk)

Hace 1 año, 8 meses

Estoy enfrentando el mismo error, por favor, nadie me ayude.

(@ rakib8373)

Hace 1 año, 8 meses

Usuario $ _SERVER[‘REQUEST_URI’]; en lugar de $ _SERVER[REQUEST_URI];. Esto puede solucionar el problema.

(@ joydeep-chatterjee)

Hace 1 año, 8 meses

La pregunta relacionada con el tema vigésimo en mi caso (¿tengo razón @alxmedia?) Y gracias a @ustoopia por la ayuda 🙂

(@ joydeep-chatterjee)

Hace 1 año, 8 meses

Agradeceríamos su ayuda para futuras ediciones 🙂

(@cdamian)

Hace 1 año, 2 meses

(@ustoopia) Gracias cariño !!! salvas mi semana

(@ wbtech2018)

Hace 1 año, 1 mes

mismo mensaje que recibí y no puedo iniciar sesión en la administración, ¿alguien puede ayudarme?

(@arnaldosantos)

Hace 1 año, 1 mes

@ wbtech2018 Você deve entrar em contato com o site de hospedagem para atualizar una versión de PHP y también lorgitar actualizar en la página de inicio de sesión (wp-admin)

(@bukavu)

Hace 1 año, 1 mes

Solo para agradecer, la solución @ustoopia ayudó

(@blogeshwar)

hace 1 año

@ustoopia Funcionó.

Muchas gracias de Blogeshwar

¿Solucionó tu problema??

0 / 0

Deja una respuesta 0

Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *